Get Resource By Id

Get Resource By Id
Fetch a specific resource.

Returns the resource with the supplied ID.

Request
URI
GET
https://{vcfa-fqdn}/deployment/api/resources/{resourceId}
COPY
Path Parameters
string
resourceId
Required  

Resource ID

Query Parameters
string of array
expand
Optional

The expanded details of the requested comma separated objects. Ex. project, deployment, currentRequest


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns Resource of type(s) application/json
{
    "billable": false,
    "createdAt": "string",
    "currentRequest": {
        "actionId": "string",
        "approvedAt": "string",
        "blueprintId": "string",
        "cancelable": false,
        "catalogItemId": "string",
        "completedAt": "string",
        "completedTasks": 0,
        "createdAt": "string",
        "deploymentId": "string",
        "details": "string",
        "dismissed": false,
        "estimatedCompletionTime": "string",
        "id": "string",
        "initializedAt": "string",
        "inputs": {
            "inputs": {}
        },
        "name": "string",
        "outputs": {
            "outputs": {}
        },
        "requestedBy": "string",
        "resourceIds": [
            "string"
        ],
        "resources": [
            {
                "description": "string",
                "id": "string",
                "name": "string",
                "version": "string"
            }
        ],
        "status": "string",
        "totalTasks": 0,
        "updatedAt": "string"
    },
    "deployment": {
        "description": "string",
        "iconId": "string",
        "id": "string",
        "leaseExpireAt": "string",
        "name": "string",
        "ownedBy": "string",
        "owner": {
            "email": "string",
            "firstname": "string",
            "id": "string",
            "lastname": "string",
            "type": "string"
        },
        "ownerType": "string"
    },
    "deploymentId": "string",
    "description": "string",
    "expense": {
        "additionalExpense": "number",
        "code": "string",
        "computeExpense": "number",
        "lastUpdatedTime": "string",
        "message": "string",
        "networkExpense": "number",
        "storageExpense": "number",
        "totalExpense": "number",
        "unit": "string"
    },
    "id": "string",
    "inprogressRequests": {},
    "name": "string",
    "orgId": "string",
    "origin": "string",
    "project": {
        "description": "string",
        "id": "string",
        "name": "string",
        "version": "string"
    },
    "projectId": "string",
    "properties": {
        "properties": {}
    },
    "syncStatus": "string",
    "type": "string"
}
boolean
billable
Read-Only  

Indicates whether the resource is billable or not. This is only visible ORG admins

string As date-time As date-time
createdAt
Read-Only  

Creation time

object
currentRequest
Optional

Represents deployment requests.

object
deployment
Read-Only  

Deployment to which resource belongs

string As uuid As uuid
deploymentId
Optional

Resource deployment id

string
description
Optional

A description of the resource

object
expense
Read-Only  

Expense associated with the deployment.

string As uuid As uuid
id
Optional

Unique identifier of the resource

object
inprogressRequests
Read-Only  

inprogressRequests

string
name
Required  

Name of the resource

string
orgId
Optional

Resource org id

string
origin
Read-Only  

Origin of the resource

Enumeration: DISCOVERED, DEPLOYED, ONBOARDED, MIGRATED, SIMULATED, CCS, DISCOVERED, ONBOARDED, MIGRATED
object
project
Optional

Optional affected resources details to which the request applies to

string
projectId
Optional

Resource project id

object
properties
Optional

properties

string
syncStatus
Read-Only  

The current sync status

Enumeration: SUCCESS, MISSING, STALE
string
type
Required  

Type of the resource


401

Unauthorized

Returns Resource of type(s) application/json
{
    "billable": false,
    "createdAt": "string",
    "currentRequest": {
        "actionId": "string",
        "approvedAt": "string",
        "blueprintId": "string",
        "cancelable": false,
        "catalogItemId": "string",
        "completedAt": "string",
        "completedTasks": 0,
        "createdAt": "string",
        "deploymentId": "string",
        "details": "string",
        "dismissed": false,
        "estimatedCompletionTime": "string",
        "id": "string",
        "initializedAt": "string",
        "inputs": {
            "inputs": {}
        },
        "name": "string",
        "outputs": {
            "outputs": {}
        },
        "requestedBy": "string",
        "resourceIds": [
            "string"
        ],
        "resources": [
            {
                "description": "string",
                "id": "string",
                "name": "string",
                "version": "string"
            }
        ],
        "status": "string",
        "totalTasks": 0,
        "updatedAt": "string"
    },
    "deployment": {
        "description": "string",
        "iconId": "string",
        "id": "string",
        "leaseExpireAt": "string",
        "name": "string",
        "ownedBy": "string",
        "owner": {
            "email": "string",
            "firstname": "string",
            "id": "string",
            "lastname": "string",
            "type": "string"
        },
        "ownerType": "string"
    },
    "deploymentId": "string",
    "description": "string",
    "expense": {
        "additionalExpense": "number",
        "code": "string",
        "computeExpense": "number",
        "lastUpdatedTime": "string",
        "message": "string",
        "networkExpense": "number",
        "storageExpense": "number",
        "totalExpense": "number",
        "unit": "string"
    },
    "id": "string",
    "inprogressRequests": {},
    "name": "string",
    "orgId": "string",
    "origin": "string",
    "project": {
        "description": "string",
        "id": "string",
        "name": "string",
        "version": "string"
    },
    "projectId": "string",
    "properties": {
        "properties": {}
    },
    "syncStatus": "string",
    "type": "string"
}
boolean
billable
Read-Only  

Indicates whether the resource is billable or not. This is only visible ORG admins

string As date-time As date-time
createdAt
Read-Only  

Creation time

object
currentRequest
Optional

Represents deployment requests.

object
deployment
Read-Only  

Deployment to which resource belongs

string As uuid As uuid
deploymentId
Optional

Resource deployment id

string
description
Optional

A description of the resource

object
expense
Read-Only  

Expense associated with the deployment.

string As uuid As uuid
id
Optional

Unique identifier of the resource

object
inprogressRequests
Read-Only  

inprogressRequests

string
name
Required  

Name of the resource

string
orgId
Optional

Resource org id

string
origin
Read-Only  

Origin of the resource

Enumeration: DISCOVERED, DEPLOYED, ONBOARDED, MIGRATED, SIMULATED, CCS, DISCOVERED, ONBOARDED, MIGRATED
object
project
Optional

Optional affected resources details to which the request applies to

string
projectId
Optional

Resource project id

object
properties
Optional

properties

string
syncStatus
Read-Only  

The current sync status

Enumeration: SUCCESS, MISSING, STALE
string
type
Required  

Type of the resource


403

Forbidden

Returns Resource of type(s) application/json
"Resource Object"
boolean
billable
Read-Only  

Indicates whether the resource is billable or not. This is only visible ORG admins

string As date-time As date-time
createdAt
Read-Only  

Creation time

object
currentRequest
Optional

Represents deployment requests.

object
deployment
Read-Only  

Deployment to which resource belongs

string As uuid As uuid
deploymentId
Optional

Resource deployment id

string
description
Optional

A description of the resource

object
expense
Read-Only  

Expense associated with the deployment.

string As uuid As uuid
id
Optional

Unique identifier of the resource

object
inprogressRequests
Read-Only  

inprogressRequests

string
name
Required  

Name of the resource

string
orgId
Optional

Resource org id

string
origin
Read-Only  

Origin of the resource

Enumeration: DISCOVERED, DEPLOYED, ONBOARDED, MIGRATED, SIMULATED, CCS, DISCOVERED, ONBOARDED, MIGRATED
object
project
Optional

Optional affected resources details to which the request applies to

string
projectId
Optional

Resource project id

object
properties
Optional

properties

string
syncStatus
Read-Only  

The current sync status

Enumeration: SUCCESS, MISSING, STALE
string
type
Required  

Type of the resource


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/deployment/api/resources/{resourceId}